Class | Tk::Iwidgets::Fileselectionbox
In: | tk/lib/tkextlib/iwidgets/fileselectionbox.rb
Parent: | Tk::Itk::Widget

### Methods

child_site filter get

### Constants

TkCommandNames | = | ['::iwidgets::fileselectionbox'.freeze].freeze
WidgetClassName | = | 'Fileselectionbox'.freeze

### Public Instance methods

child_site()

[Source]

    # File tk/lib/tkextlib/iwidgets/fileselectionbox.rb, line 34
      def child_site
        window(tk_call(@path, 'childsite'))
      end

filter()

[Source]

    # File tk/lib/tkextlib/iwidgets/fileselectionbox.rb, line 38
      def filter
        tk_call(@path, 'filter')
        self
      end

get()

[Source]

    # File tk/lib/tkextlib/iwidgets/fileselectionbox.rb, line 43
      def get
        tk_call(@path, 'get')
      end

[Validate]